Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content.virtual.workflow
Class WorkflowException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.bea.content.RepositoryException
                  com.bea.content.virtual.workflow.WorkflowException

All Implemented Interfaces
  Serializable

    public class WorkflowException

extends RepositoryException

An exception indicating that there is a problem in workflow exectuion

See Also
  Serialized Form

Constructor Summary
`WorkflowException(String message)`
`WorkflowException(String message, Throwable e)`
`WorkflowException(String message, Throwable e, boolean log)`
`WorkflowException(Throwable e)`

Method Summary
`Throwable` | `getRelatedThrowable()` Return the related exception to this error.
`void` | `setRelatedThrowable(Throwable e)` Helper method which allows users to link two exceptions together.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WorkflowException

    public WorkflowException(String message)

### WorkflowException

    public WorkflowException(Throwable e)

### WorkflowException

    public WorkflowException(String message,
                             Throwable e)

### WorkflowException

    public WorkflowException(String message,
                             Throwable e,
                             boolean log)

Method Detail

### setRelatedThrowable

    public void setRelatedThrowable(Throwable e)

  Helper method which allows users to link two exceptions together. Can be necessary in the followng scenario : If the executeActionFails with a exception, the revertAction is called. If that also fails a user can set the relatedThrowable in the revertAction failure to ensure that the original exception is not lost.

  Parameters
    `e` -

### getRelatedThrowable

    public Throwable getRelatedThrowable()

  Return the related exception to this error. Please look at setRelatedThrowable(Throwable) for an explanation.

  Returns
    The related throwable object

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.